    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.DocType

    java.lang.Object
       |
       +----org.jdom.DocType

public class DocType
extends Object
implements Serializable, Cloneable

`DocType` represents an XML DOCTYPE declaration.

Version:
  $Revision: 1.18 $, $Date: 2002/02/05 08:03:18 $
Author:
  Brett McLaughlin, Jason Hunter

##

document
  The document having this DOCTYPE
elementName
  The element being constrained
internalSubset
  The internal subset of the DOCTYPE
publicID
  The public ID of the DOCTYPE
systemID
  The system ID of the DOCTYPE

##

DocType()

  Default, no-args constructor for implementations to use if needed.

DocType(String)

  This will create the `DocType` with the specified element name

DocType(String, String)

  This will create the `DocType` with the specified element name and reference to an external DTD.

DocType(String, String, String)

  This will create the `DocType` with the specified element name and a reference to an external DTD.

##

clone()

  This will return a clone of this `DocType`.

equals(Object)

  This tests for equality of this `DocType` to the supplied `Object`.

getDocument()

  This retrieves the owning `{`

getElementName()

  This will retrieve the element name being constrained.

getInternalSubset()

  This returns the data for the internal subset

getPublicID()

  This will retrieve the public ID of an externally referenced DTD, or an empty `String` if none is referenced.

getSystemID()

  This will retrieve the system ID of an externally referenced DTD, or an empty `String` if none is referenced.

hashCode()

  This returns the hash code for this `DocType`.

setDocument(Document)

  This sets the `{`

setElementName(String)

  This will set the root element name declared by this DOCTYPE declaration.

setInternalSubset(String)

  This sets the data for the internal subset.

setPublicID(String)

  This will set the public ID of an externally referenced DTD.

setSystemID(String)

  This will set the system ID of an externally referenced DTD.

toString()

  This returns a `String` representation of the `DocType`, suitable for debugging.

##

elementName

     protected String elementName

  The element being constrained

publicID

     protected String publicID

  The public ID of the DOCTYPE

systemID

     protected String systemID

  The system ID of the DOCTYPE

document

     protected Document document

  The document having this DOCTYPE

internalSubset

     protected String internalSubset

  The internal subset of the DOCTYPE

##

DocType

     protected DocType()

  Default, no-args constructor for implementations to use if needed.

DocType

     public DocType(String elementName,
                    String publicID,
                    String systemID)

  This will create the `DocType` with the specified element name and a reference to an external DTD.

  Parameters:
    elementName - `String` name of element being constrained.
    publicID - `String` public ID of referenced DTD
    systemID - `String` system ID of referenced DTD
  Throws: IllegalDataException
    if the given system ID is not a legal system literal or the public ID is not a legal public ID.
  Throws: IllegalNameException
    if the given root element name is not a legal XML element name.

DocType

     public DocType(String elementName,
                    String systemID)

  This will create the `DocType` with the specified element name and reference to an external DTD.

  Parameters:
    elementName - `String` name of element being constrained.
    systemID - `String` system ID of referenced DTD
  Throws: IllegalDataException
    if the given system ID is not a legal system literal.
  Throws: IllegalNameException
    if the given root element name is not a legal XML element name.

DocType

     public DocType(String elementName)

  This will create the `DocType` with the specified element name

  Parameters:
    elementName - `String` name of element being constrained.
  Throws: IllegalNameException
    if the given root element name is not a legal XML element name.

##

getElementName

     public String getElementName()

  This will retrieve the element name being constrained.

  Returns:
    `String` - element name for DOCTYPE

setElementName

     public DocType setElementName(String elementName)

  This will set the root element name declared by this DOCTYPE declaration.

  Parameters:
    elementName - `String` name of root element being constrained.
  Returns:
    DocType `DocType` this DocType object
  Throws: IllegalNameException
    if the given root element name is not a legal XML element name.

getPublicID

     public String getPublicID()

  This will retrieve the public ID of an externally referenced DTD, or an empty `String` if none is referenced.

  Returns:
    `String` - public ID of referenced DTD.

setPublicID

     public DocType setPublicID(String publicID)

  This will set the public ID of an externally referenced DTD.

  Returns:
    DocType `DocType` this DocType object
  Throws: IllegalDataException
    if the given public ID is not a legal public ID.

getSystemID

     public String getSystemID()

  This will retrieve the system ID of an externally referenced DTD, or an empty `String` if none is referenced.

  Returns:
    `String` - system ID of referenced DTD.

setSystemID

     public DocType setSystemID(String systemID)

  This will set the system ID of an externally referenced DTD.

  Returns:
    systemID `String` system ID of referenced DTD.
  Throws: IllegalDataException
    if the given system ID is not a legal system literal.

getDocument

     public Document getDocument()

  This retrieves the owning `{@link Document}` for this DocType, or null if not a currently a member of a `{@link Document}`.

  Returns:
    `Document` owning this DocType, or null.

setDocument

     protected DocType setDocument(Document document)

  This sets the `{@link Document}` holding this doctype.

  Parameters:
    DocType - `Document` holding this doctype
  Returns:
    `Document` this `DocType` modified

setInternalSubset

     public void setInternalSubset(String newData)

  This sets the data for the internal subset.

  Parameters:
    newData - data for the internal subset, as a `String`.

getInternalSubset

     public String getInternalSubset()

  This returns the data for the internal subset

  Returns:
    `String` - the internal subset

toString

     public String toString()

  This returns a `String` representation of the `DocType`, suitable for debugging.

  Returns:
    `String` - information about the `DocType`
  Overrides:
    toString in class Object

equals

     public final boolean equals(Object ob)

  This tests for equality of this `DocType` to the supplied `Object`.

  Parameters:
    ob - `Object` to compare to.
  Returns:
    `boolean` - whether the `DocType` is equal to the supplied `Object`.
  Overrides:
    equals in class Object

hashCode

     public final int hashCode()

  This returns the hash code for this `DocType`.

  Returns:
    `int` - hash code.
  Overrides:
    hashCode in class Object

clone

     public Object clone()

  This will return a clone of this `DocType`.

  Returns:
    `Object` - clone of this `DocType`.
  Overrides:
    clone in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index